function PackExtensionOverlay(){
}

PackExtensionOverlay.prototype.initialize = function(jq){
  this.$ = jq;
}

PackExtensionOverlay.prototype.showSuccessMessage_ = function(message){
	var oParam = {};
	oParam.caption = "打包扩展程序";
	oParam.content = message;
	oParam.ok_text = "确定";
	oParam.fnOkCallback = function(){
	};
	
	oParam.fnCancelCallback = function(){
	};
	
	window.showCommonModalDlg(oParam, $);
}

PackExtensionOverlay.prototype.showError_ = function(message){
  var oParam = {};
	oParam.caption = "打包扩展程序警告";
	oParam.content = message;
	oParam.ok_text = "确定";
	oParam.fnOkCallback = function(){
	};
	
	oParam.fnCancelCallback = function(){
	};  
	window.showCommonModalDlg(oParam, $);
}

/**
* Wrap up the pack process by showing the success |message| and closing
* the overlay.
* @param {string} message The message to show to the user.
*/
	 
PackExtensionOverlay.showSuccessMessage = function(message){
	PackExtensionOverlay.getInstance().showSuccessMessage_(message);
}

/**
 * Post an alert overlay showing |message|, and upon acknowledgement, close
 * the alert overlay and return to showing the PackExtensionOverlay.
 */
PackExtensionOverlay.showError = function(message) {
	PackExtensionOverlay.getInstance().showError_(message);
};
